@echo OFF
rem  * ************************************************************************
rem  *              DIRCOMCLEANUP.cmd - a Windows Command File                *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2019 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text    - Create two (2) sample directories
rem  * Author  - SimoTime Technologies
rem  * Date    - November 11, 2003
rem  * Version - 06.07.16
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     set CmdName=DIRCOMCLEANUP
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%.CMD"
rem  *
rem  * Delete previously created directories.
rem  *
     if exist %BaseLib1%\myDirectoryOne rd /S /Q %BaseLib1%\myDirectoryOne
     if exist %BaseLib1%\myDirectoryTwo rd /S /Q %BaseLib1%\myDirectoryTwo
rem  *
rem  ***************************************************************************
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%.CMD, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%.CMD, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
